# Uses of Interface
org.springframework.jdbc.core.simple.JdbcClient.ResultQuerySpec

Packages that use JdbcClient.ResultQuerySpec
Package
Description
org.springframework.jdbc.core.simple
Simplification layer for common JDBC interactions.

## Uses of JdbcClient.ResultQuerySpec in org.springframework.jdbc.core.simple

Methods in org.springframework.jdbc.core.simple that return JdbcClient.ResultQuerySpec
Modifier and Type
Method
Description
`JdbcClient.ResultQuerySpec`
JdbcClient.StatementSpec.`query()`
Proceed towards execution of a query, with several result options available in the returned query specification.